import { User, parseServerUser } from './user';
import { DateTime } from 'luxon';
export interface Project {
  id: number;
  owner: User;
  displayName: string;
  name: string;
  isArchive: boolean;
  clientId: number;
  client?: User;
  role: string;
  url: string;
  hasTasks: boolean;
  date: DateTime;
}

export const parseServerProject = (data: any): Project => {
  return {
    id: data['id'],
    clientId: data['client_id'],
    displayName: data['display_name'],
    hasTasks: data['has_tasks'],
    isArchive: data['is_archive'],
    name: data['name'],
    owner: parseServerUser(data['owner']),
    role: data['role'],
    url: data['url'],
    date: DateTime.fromJSDate(new Date(data['date']))
  };

};
